Bug 16094 - Pinstripe (6.9.5) - I have 128MB, only 64MB visible to kernel
Summary: Pinstripe (6.9.5) - I have 128MB, only 64MB visible to kernel
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 6.2EE
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-08-13 09:27 UTC by Ralph Becket
Modified: 2008-08-01 16:22 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-22 17:10:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ralph Becket 2000-08-13 09:27:24 UTC
I've just installed Pinstripe (RedHat 6.9.5) which comes
with kernel version 2.2.16-17.  My machine is a 500MHz
Athlon with 128MB SDRAM on board.  However, /proc/meminfo
(and all the other tools that report this sort of thing) insists that
only 64MB are present.

I don't know if this is a genuine kernel bug or a config bug.
Either way, I'd like to know how to fix it and cut down on the
amount of paging my machine is doing.

Cheers,

Ralph

Comment 1 Alan Cox 2000-08-22 17:10:46 UTC
This is a BIOS flaw.  2.4 tries to be more intelligent about how to handle this
bios problem
but 2.2 assumes the BIOS vendor implements (and correctly implements) int 15
0xE801

If you boot with the option 'mem=128M' it will probably be a lot happier.


Comment 2 Alan Cox 2000-08-22 17:10:59 UTC
This is a BIOS flaw.  2.4 tries to be more intelligent about how to handle this
bios problem
but 2.2 assumes the BIOS vendor implements (and correctly implements) int 15
0xE801

If you boot with the option 'mem=128M' it will probably be a lot happier.



Note You need to log in before you can comment on or make changes to this bug.